@layer default, theme, custom;

@layer default {
    body {
        background-image:var(--login-background);
        background-position: center;
        background-blend-mode: luminosity;
    }

    #loginbox{
        margin: 10vh 20vw 10vh 20vw;
        padding: 15px 0px 15px 0px;
        border-radius: 25px;
        text-align: center;
        background-color:#ffffff;
        opacity: 60%;
        &:focus-within{
            opacity: 100%;
        }

        > header {
            display: inline-grid;
            margin:auto;
        }

        > header > img {
               margin:auto;
        }

        > header > svg.marchio {
            width: 0.75in;
            height: 0.1in;
            margin: 0% 25%;
        }

        legend {
            display:none;
        }

        > #loginsection {
            background-image: none;
            > form {
            }
        }
        fieldset {
            margin: 1vh 8vw;
        }
    }
}









@media (max-width: 480px) {
    #loginbox {
        margin: 10vh 0px;
        padding: 4vw;
        border-radius: 25px;
        text-align: center;
        background-size: cover;
        box-shadow: var(--global-element-box-shadow);
        background-attachment: fixed;
    }

    #loginsection{
        padding:0px;
    }

    fieldset {
        margin: 0px;
    }
}